.container {
    background-color: black;
    border: 1px solid white;
    padding: 4vh 2vw;
    margin-top: 1vh;
}

.layer {
    display: grid;
    grid-template-columns: 1fr 2fr;
    gap: 20vw;
}

.leftLayer {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.rightLayer {
    display: flex;
    flex-direction: column;
    gap: 3vh;
}

.swapLayer {
    display: grid;
    grid-template-columns: 1fr 0.5fr 1fr;
    gap: 1vw;
}

.swapContainer {
    display: flex;
    align-items: center;
    justify-content: center;
}

.swapButton {
    cursor: pointer;
}
.swapButton:hover {
    color: lightgrey;
}

.resultLayer {
    display: grid;
    grid-template-columns: repeat(1,1fr);
    gap: 1vw;
}

.detailsContainer {
    display: flex;
    align-items: center;
    justify-content: center;
}

.resultDiv {
    border: 1px solid white;
    padding: 2vh 1vh;
    text-align: center;
    height: 5vh;
    font-size: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.rateDiv {
    width: 100%;
    border: 1px solid white;
    padding: 1vh;
    text-align: center;
    height: 2.5vh;
    display: flex;
        align-items: center;
        justify-content: center;
}